﻿@using twitch.api;
@model List<Follower>
@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@
@{
}

<h1>Followers</h1>
<form asp-action="New" asp-controller="Followers" method="post">
    <button type="submit" class="btn btn-outline-primary">New</button>
</form>
<table class="table">
    <tr>
        <th>Pseudo</th>
        <th>Profile Picture</th>
        <th>Status</th>
        <th>Stream</th>
    </tr>
    <tbody>
        @foreach (var follower in Model)
        {
            <tr>
                <td>
                    @if (follower.Pseudo == null)
                    {
                        @follower.Id
                    }
                    else @follower.Pseudo
                </td>
                <td><img src="@follower.ProfilePicture") width="60" height="60"/></td>
                <td>
                    <form asp-action="List" asp-controller="Followers" class="follower-status-form" id="follower-@follower.Id-status-form" method="post">
                        <input type="hidden" name="Id" value="@follower.Id" />
                        @if (follower.IsConnected) 
                        {
                            <div class="form-check">
                                <input class="form-check-input" type="checkbox" id="flexCheckConnected-@follower.Id" checked>
                            <label class="form-check-label" for="flexCheckChecked-@follower.Id">
                                Connected
                            </label>
                        </div>   
                        }
                        else
                        {
                        <div class="form-check">                    
                            <input class="form-check-input" type="checkbox" id="flexCheckDisconnected-@follower.Id">
                            <label class="form-check-label" for="flexCheckDefault-@follower.Id">
                                Disconnected
                            </label>
                        </div>                     
                        }
                    </form> 
                </td>
                <td>
                    <div class="btn-group" role="group" aria-label="Basic example">
                        <form asp-action="Edit" asp-controller="Followers" method="get">
                            <input type="hidden" name="Id" value=@follower.Id />       
                            <button type="submit" class="btn btn-primary">Edit</button>
                        </form>
                        <form asp-action="Delete" asp-controller="Followers" method="get">
                            <input type="hidden" name="Id" value=@follower.Id />       
                            <button type="submit" class="btn btn-danger">Delete</button>
                        </form>
                    </div>
                </td>
            </tr>    
        }
        <script>
            const forms = document.querySelectorAll('.follower-status-form')
            Array.from(forms).forEach(form => {
                const checkbox = form.querySelector('.form-check-input')
                checkbox.addEventListener('change', (evt) => {
                    form.submit()
                })
            })              
        </script>
    </tbody>
</table>

